Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get forecast amounts for a given EndUser and category
cURL
curl --request GET \ --url https://app.herondata.io/api/end_users/forecast \ --header 'x-api-key: <api-key>'
import requests url = "https://app.herondata.io/api/end_users/forecast" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://app.herondata.io/api/end_users/forecast', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://app.herondata.io/api/end_users/forecast", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.herondata.io/api/end_users/forecast" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://app.herondata.io/api/end_users/forecast") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://app.herondata.io/api/end_users/forecast") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
[ { "currency": "USD", "date": "2026-02-26", "predicted": 42.42, "predicted_lower": 4.24, "predicted_upper": 420.42 } ]
end_user_id for statistics; either end_user_id or end_user_heron_id is required
"your_end_user_id"
Heron-generated id for end user; either end_user_id or end_user_heron_id is required
"eus_9qQBmrBQMMUkek76UmiQ7m"
ISO 4217 currency code to convert to
GBP
USD
EUR
CAD
AUD
null
"USD"
Aggregate results over time, i.e., aggregate by week or by month
week
month
"month"
Heron ID of category to be forecasted; either category_heron_id or category_label must be present
"ctg_94bwS4hp5ZQkyi9kBNkqn8"
Label of category to be forecasted; either category_heron_id or category_label must be present
"Revenue"
The earliest transaction timestamp date to use in forecasting
"2022-01-01"
The latest transaction timestamp date to use in forecasting
"2022-01-31"
OK
ISO 4217 currency code
3
Forecast date at specified date granularity
"2026-02-26"
Predicted amount
42.42
Predict amount lower bound
4.24
Predicted amount upper bound
420.42
Was this page helpful?